Bug 842490 - rhc setup help doesn't list all related parameters
rhc setup help doesn't list all related parameters
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-23 22:54 EDT by joycezhang
Modified: 2015-05-14 22:00 EDT (History)
5 users (show)

See Also:
Fixed In Version: fork_ami_US2597_US2599_US2813_US2817_US2872_US2816_US2814_207
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:49:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description joycezhang 2012-07-23 22:54:00 EDT
Description of problem:
No related parameter is displayed if run rhc setup help. 

Please refer to following message:
# rhc setup help

  setup

  Runs the setup wizard to configure your OpenShift account.


Version-Release number of selected component (if applicable):
stg.openshift.redhat.com
rhc-0.96.3
Fedora 17

How reproducible:
always

Steps to Reproduce:
1. Run "rhc setup --help"

  
Actual results:
There's no parameter displayed to guide user.

Expected results:
All related paramters should be displayed like command "rhc app --help"


Additional info:
Parameters can be specifed for rhc setup help like "--config". Please take a look for following example:
rhc setup --config ./my_express.conf -l tt@redhat.com
Comment 1 joycezhang 2012-07-23 23:15:18 EDT
If run "rhc setup --help" on REHL6.3 OS, following error displayed:
#rhc setup --help
Usage:rhc [options]
Comment 2 John (J5) Palmieri 2012-10-04 10:48:49 EDT
fixed in fork.  Setup only has global options
Comment 3 Chandrika Gole 2012-10-04 18:07:30 EDT
verified in AMI: fork_ami_US2597_US2599_US2813_US2817_US2872_US2816_US2814_207 (ami-a50eb3cc)

[root@ip-10-114-57-95 ~]# rhc setup --help
Usage: rhc setup 

Easy to use wizard for getting started with OpenShift.

Global Options
  -l, --rhlogin login       OpenShift login
  -p, --password password   OpenShift password
  -d, --debug               Turn on debugging
  --noprompt                Do not ask for input
  --config FILE             Path of a different config file
  -h, --help                Display help documentation
  -v, --version             Display version information
  --timeout seconds         Set the timeout in seconds for network commands

Note You need to log in before you can comment on or make changes to this bug.